%define	major 3
%define	libname %mklibname mikmod %{major}
%define develname %mklibname mikmod -d
%define prerel beta2

Summary:	Sound library supporting multiple module formats and digital sound files
Name:		libmikmod
Version:	3.2.0
%define subrel 1
Release:	%mkrel 0.%prerel.7
License:	LGPLv2+
Group:		Sound
URL:		http://mikmod.raphnet.net/
Source0:	http://mikmod.raphnet.net/files/%{name}-%version-%prerel.tar.gz
Patch0:		libmikmod-3.1.10-dspbusy-nonblock.patch
Patch1:		libmikmod-3.1.10-lib64.patch
Patch2:		libmikmod-64bit.patch
Patch3:		libmikmod-3.1.11-rawwriter-path.patch
Patch5:		libmikmod-3.2.0-beta2-new-alsa-fix.patch
Patch7:		libmikmod-sprintf.patch
#gw dlopen libesd.so.0 instead of libesd.so
Patch8:         libmikmod-3.1.11-esd-driver.patch
# (fc) 3.2.0-0.beta2.2mdv fix aclocal warning
Patch9:		libmikmod-underquoted.patch
Patch10:	libmikmod-CVE-2007-6720.patch
Patch11:	libmikmod-CVE-2009-0179.patch
Patch12:	libmikmod_lm.patch
Patch13:	libmikmod-3.1.11-CVE-2009-3995,3996.diff
Patch14:	libmikmod-3.1.11-CVE-2010-2546,2971.diff
BuildRequires:	alsa-lib-devel
BuildRequires:	automake1.8
BuildRequires:	esound-devel
BuildRequires:	texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.  

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package -n	%{libname}
Summary:	Sound library supporting multiple module formats and digital sound files
Group:		Sound
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package -n	%{develname}
Summary:	Development related files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname mikmod 2 -d}

%description -n	%{develname}
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.  

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include 669, AMF, APUN, DSM, FAR, GDM, IT, IMF,MOD,
MED, MTM, OKT, S3M, STM, STX, ULT, UNI and XM.
Full source included, use of this library for music/sound effects in
your own programs is encouraged!

Install the limikmod-devel package if you want to develop applications that
will use the limikmod library.

%prep

%setup -q -n %{name}-%version-%prerel
%patch0 -p0 -b .dsp_nonblock
%patch1 -p1 -b .lib64
%patch2 -p1 -b .64bit-fixes
%patch3 -p1 -b .rawwriter_path
%patch5 -p1 -b .alsa
%patch7 -p1 -b .sprintf
%patch8 -p1 -b .esd
%patch9 -p1 -b .underquoted
%patch10 -p1 -b .CVE-2007-6720
%patch11 -p1 -b .CVE-2009-0179
%patch12 -p1 -b -lm
%patch13 -p1 -b .CVE-2009-3995,3996
%patch14 -p1 -b .CVE-2010-2546,2971

libtoolize --copy --force
autoreconf

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}

%makeinstall

chmod 755 %{buildroot}%{_libdir}/lib*.so.%{major}*

%multiarch_binaries %{buildroot}%{_bindir}/libmikmod-config

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%post -n %{develname}
%_install_info mikmod.info

%preun -n %{develname}
%_remove_install_info mikmod.info

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING.LESSER COPYING.LIB
%{_libdir}/libmikmod.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc INSTALL NEWS README TODO
%{_bindir}/libmikmod-config
%multiarch %{multiarch_bindir}/libmikmod-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/*
%{_includedir}/*
%{_mandir}/man1/*
%{_infodir}/*


%changelog
* Thu Aug 12 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-0.beta2.7.1mdv2010.1
- P13: security fix for CVE-2009-3995,3996 (debian)
- P14: security fix for CVE-2010-2546,2971 (debian)

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-0.beta2.7mdv2010.1
+ Revision: 520884
- rebuilt for 2010.1

* Mon Oct 12 2009 Oden Eriksson <oeriksson@mandriva.com> 3.2.0-0.beta2.6mdv2010.0
+ Revision: 456903
- provide a non-empty debug package

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 3.2.0-0.beta2.5mdv2010.0
+ Revision: 449893
- fix build of applications using libmikmod, it is using floor() but
  was never linking against libm, leading to undefined symbol
  (from Arnaud Patard)

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.2.0-0.beta2.4mdv2010.0
+ Revision: 425620
- rebuild

* Thu Mar 19 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.0-0.beta2.3mdv2009.1
+ Revision: 358193
- Add two patches fixing security issues CVE-2007-6720, CVE-2009-0179

* Wed Aug 27 2008 Frederic Crozat <fcrozat@mandriva.com> 3.2.0-0.beta2.2mdv2009.0
+ Revision: 276554
- Patch9: fix aclocal warning

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 3.2.0-0.beta2.1mdv2009.0
+ Revision: 271719
- last version
- new major
- update license
- update patches 2,5
- drop patch 6

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.1.11a-11mdv2009.0
+ Revision: 222928
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.11a-10mdv2008.1
+ Revision: 178965
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Götz Waschk <waschk@mandriva.org> 3.1.11a-8mdv2008.0
+ Revision: 76949
- fix provides and obsoletes again

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.11a-7mdv2008.0
+ Revision: 76843
- new devel naming
- reconstruct the autofoo toolchain


* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 3.1.11a-6mdv2007.0
+ Revision: 115662
- fix esd driver

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 3.1.11a-5mdv2007.1
+ Revision: 107322
- Import libmikmod

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 3.1.11a-5mdv2007.1
- fix sprintf bug (28086), patch by Shlomi Fish)
- unpack patches

* Fri Jun 09 2006 Götz Waschk <waschk@mandriva.org> 3.1.11a-4mdv2007.0
- fix buildrequires

* Thu Jun 08 2006 Götz Waschk <waschk@mandriva.org> 3.1.11a-3mdv2007.0
- fix build

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11a-2mdv2007.0
- oops, reenable P0

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11a-1mdv2007.0
- 3.1.11a (P6)
- drop P4 (obsoleted by P6)

* Tue Jun 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11-7mdv2007.0
- fix alsa support (P5)

* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11-6mdk
- fix underquoted calls (P4)

* Tue Nov 29 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11-5mdk
- fix path to rawwriter (P3, fixes #19721 & #19722)

* Wed Oct 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.1.11-4mdk
- rebuild
- %%mkrel

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 3.1.11-3mdk
- multiarch
- redo info file install
- enable esd support, which is dynamically loaded when needed

* Wed Nov 03 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.11-2mdk
- merge 64-bit fixes from 9.2-amd64 branch!

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.11-1mdk
- 3.1.11
- buildrequires
- don't do rm -rf $RPM_BUILD_ROOT in %%prep
- update url
- update description
- spec cosmetics
- do parallell build

